[v4] install initscript for NRPE

Message ID bc9c8887-4670-9436-9e02-4d8d4fb149c4@link38.eu
State Accepted
Commit a305ffea8bf2df76d753a63ca93af019413a3d72
Headers
Series [v4] install initscript for NRPE |

Commit Message

Peter Müller May 10, 2018, 5:59 a.m. UTC
  Install initscript for NRPE addon.

The second version of this patch actually includes the
initscript, which was missing due to lack of coffee the
first time. :-)

Thanks to Michael for catching it.

Resent due to crappy linewrapping in initscript by MUA.

Signed-off-by: Peter Müller <peter.mueller@link38.eu>
---
 lfs/nagios_nrpe               |  4 ++++
 src/initscripts/packages/nrpe | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)
 create mode 100644 src/initscripts/packages/nrpe
  

Patch

diff --git a/lfs/nagios_nrpe b/lfs/nagios_nrpe
index bebb80144..11ce2ae77 100644
--- a/lfs/nagios_nrpe
+++ b/lfs/nagios_nrpe
@@ -90,5 +90,9 @@  $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	cd $(DIR_APP) && make all $(MAKETUNING)
 	cd $(DIR_APP) && make install
 	cd $(DIR_APP) && make install-config
+
+	# install initscript
+	$(call INSTALL_INITSCRIPT,nrpe)
+
 	@rm -rf $(DIR_APP)
 	@$(POSTBUILD)
diff --git a/src/initscripts/packages/nrpe b/src/initscripts/packages/nrpe
new file mode 100644
index 000000000..8de798c06
--- /dev/null
+++ b/src/initscripts/packages/nrpe
@@ -0,0 +1,38 @@ 
+#!/bin/sh
+# Begin $rc_base/init.d/nrpe
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+NRPEBIN=/usr/bin/nrpe
+NRPECFG=/etc/nagios/nrpe.cfg
+
+case "$1" in
+	start)
+		boot_mesg "Starting nrpe..."
+		loadproc $NRPEBIN -c $NRPECFG -d
+	;;
+
+	stop)
+		boot_mesg "Stopping nrpe..."
+		killproc $NRPEBIN
+		rm -f /var/run/nrpe.pid
+	;;
+
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+
+	status)
+		statusproc $NRPEBIN
+	;;
+
+	*)
+		echo "Usage: $0 {start|stop|restart|status}"
+		exit 1
+	;;
+esac
+
+# End $rc_base/init.d/nrpe